petsc-3.10.5 2019-03-28
Report Typos and Errors

# PCSetUpOnBlocks

Sets up the preconditioner for each block in the block Jacobi, block Gauss-Seidel, and overlapping Schwarz methods.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  PCSetUpOnBlocks(PC pc)

Collective on PC

### Input Parameters

pc -the preconditioner context

### Keywords

PC, setup, blocks

### See Also

PCCreate(), PCApply(), PCDestroy(), PCSetUp()

### Level

developer

### Location

src/ksp/pc/interface/precon.c

### Implementations

PCSetUpOnBlocks_ASM in src/ksp/pc/impls/asm/asm.c
PCSetUpOnBlocks_BJacobi_Singleblock in src/ksp/pc/impls/bjacobi/bjacobi.c
PCSetUpOnBlocks_BJacobi_Multiblock in src/ksp/pc/impls/bjacobi/bjacobi.c
PCSetUpOnBlocks_GASM in src/ksp/pc/impls/gasm/gasm.c
PCSetUpOnBlocks_PATCH in src/ksp/pc/impls/patch/pcpatch.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages